libdata-amf-perl_0.09+dfsg-1_all.deb


Advertisement

Description

libdata-amf-perl - Perl module for serialize / deserialize AMF data

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdata-amf-perl
Package version: 0.09+dfsg
Package release: 1
Package architecture: all
Package type: deb
Installed size: 143 B
Download size: 39.70 KB
Official Mirror: ftp.br.debian.org
This module is (de)serializer for Adobe's AMF (Action Message Format). Data::AMF is core module and it recognize only AMF data, not AMF packet. If you want to read/write AMF Packet, see Data::AMF::Packet instead.

Alternatives

    Download

    Source package: libdata-amf-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdata-amf-perl deb package:
      # sudo apt-get install libdata-amf-perl

    Files

    • /usr/share/doc/libdata-amf-perl/changelog.Debian.gz
    • /usr/share/doc/libdata-amf-perl/changelog.gz
    • /usr/share/doc/libdata-amf-perl/copyright
    • /usr/share/doc/libdata-amf-perl/examples/simple_flash_remoting.as
    • /usr/share/doc/libdata-amf-perl/examples/simple_flash_remoting.pl
    • /usr/share/doc/libdata-amf-perl/examples/simple_flex_rpc/HelloController.pm
    • /usr/share/doc/libdata-amf-perl/examples/simple_flex_rpc/SimpleFlexRPC.mxml
    • /usr/share/doc/libdata-amf-perl/examples/simple_flex_rpc/gateway.psgi
    • /usr/share/man/man3/Data::AMF.3pm.gz
    • /usr/share/man/man3/Data::AMF::Formatter.3pm.gz
    • /usr/share/man/man3/Data::AMF::Formatter::AMF0.3pm.gz
    • /usr/share/man/man3/Data::AMF::Formatter::AMF3.3pm.gz
    • /usr/share/man/man3/Data::AMF::Header.3pm.gz
    • /usr/share/man/man3/Data::AMF::IO.3pm.gz
    • /usr/share/man/man3/Data::AMF::Message.3pm.gz
    • /usr/share/man/man3/Data::AMF::Packet.3pm.gz
    • /usr/share/man/man3/Data::AMF::Parser.3pm.gz
    • /usr/share/man/man3/Data::AMF::Parser::AMF0.3pm.gz
    • /usr/share/man/man3/Data::AMF::Parser::AMF3.3pm.gz
    • /usr/share/man/man3/Data::AMF::Remoting.3pm.gz
    • /usr/share/perl5/Data/AMF.pm
    • /usr/share/perl5/Data/AMF/Formatter.pm
    • /usr/share/perl5/Data/AMF/Header.pm
    • /usr/share/perl5/Data/AMF/IO.pm
    • /usr/share/perl5/Data/AMF/Message.pm
    • /usr/share/perl5/Data/AMF/Packet.pm
    • /usr/share/perl5/Data/AMF/Parser.pm
    • /usr/share/perl5/Data/AMF/Remoting.pm
    • /usr/share/perl5/Data/AMF/Formatter/AMF0.pm
    • /usr/share/perl5/Data/AMF/Formatter/AMF3.pm
    • /usr/share/perl5/Data/AMF/Parser/AMF0.pm
    • /usr/share/perl5/Data/AMF/Parser/AMF3.pm
    • /usr/share/perl5/Data/AMF/Type/Boolean.pm
    • /usr/share/perl5/Data/AMF/Type/ByteArray.pm
    • /usr/share/perl5/Data/AMF/Type/Null.pm

    Changelog

    2014-05-02 - Paul Wise <pabs@debian.org> libdata-amf-perl (0.09+dfsg-1) unstable; urgency=low * Team upload. [ gregor herrmann ] * debian/copyright: update wording of Comment about copyright ownership. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Axel Beckert ] * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg- copyright" [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Paul Wise ] * Strip Flash files since one is not buildable on Debian and the other is buildable but the result is untested (Closes: #736799)

    2011-10-23 - gregor herrmann <gregoa@debian.org> libdata-amf-perl (0.09-3) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * debian/rules: move the old included inc/YAML.pm away before running the test suite. Thanks to Dominic Hargreaves for the bugreport (closes: #646289).

    2011-05-18 - gregor herrmann <gregoa@debian.org> libdata-amf-perl (0.09-2) unstable; urgency=low * Add build dependency on libyaml-perl (closes: #627170). * Switch to source format 3.0 (quilt). * debian/copyright: add missing pieces. * Bump debhelper compatibility level to 8. * debian/control: remove version from perl build dependency (satisfied in oldstable), remove perl from Depends (added by ${perl:Depends}). * Set Standards-Version to 3.9.2 (no changes). * Add /me to Uploaders. * debian/rules: fix permissions of example script; don't install manpage fragments.

    2011-04-07 - TANIGUCHI Takaki <takaki@debian.org> libdata-amf-perl (0.09-1) unstable; urgency=low * Initial Release. (Closes: #620956)

    Advertisement
    Advertisement